<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Light Switching</title>
</head>
<body>



<script>


    function switchONOFF() {
        if(document.getElementById("BTN").innerText =="ON"){
            document.getElementById("Light").src = "Resources/Images/lighton.jpg";
            document.getElementById("BTN").innerText = "OFF";
        }
        else{
            document.getElementById("Light").src = "Resources/Images/lightoff.jpg";
            document.getElementById("BTN").innerText = "ON";
        }

    } // end of switchONOFF();

    setInterval(function(){
        var checkBox = document.getElementById("Auto");
        if(checkBox.checked){
            switchONOFF();

            if(document.getElementById("Headline1").innerHTML != "")
                document.getElementById("Headline1").innerHTML = "";
            else
                document.getElementById("Headline1").innerHTML = "Hello World";

        }
    }, 1000);



</script>


<div id="LightContainer">
    <img  id="Light" src="Resources/Images/OFF.jpg" height="200px" width="150px">
</div>


<button id="BTN" onclick="switchONOFF()"> ON </button>
Auto
<input type="checkbox" id="Auto" checked="checked" >


<h1 id ="Headline1"> Hello World </h1>


</body>
</html>